import { ReactElement } from "react";
import { Provider } from "react-redux";
import { store } from "../../store";

export const ProviderSwitch = ({ active, children }: {
  active: boolean,
  children: ReactElement,
}) => {
  if (active) {
    return (
      <Provider store={store}>
        {children}
      </Provider>
    );
  }

  return children;
};
