import { ReactElement, StrictMode } from "react";

export const StrictModeSwitch = ({ active, children }: {
  active: boolean,
  children: ReactElement,
}) => {
  if (active) {
    return (
      <StrictMode>
        {children}
      </StrictMode>
    );
  }

  return children;
};
