import { DeletePurgedResponse } from "../requests";

export const getIncluded = (
  payload: any,
  relationships: any[],
  state: any,
  attributes: {}
) => {
  if (payload.included) {
    payload?.included?.forEach((include: any) => {
      relationships.forEach((relationship: any) => {
        relationship?.data?.forEach((model: any) => {
          if (model.id === include.id && model.type === include.type) {
            const included: any[] = [];

            included.push(include);

            Array.isArray(state) ?
              state.push({ ...attributes, included }) :
              Object.assign(state, attributes);
          }
        });
      });
    });

    return;
  }

  Array.isArray(state) ?
    state.push(attributes) :
    Object.assign(state, attributes);
};

export const refreshList = (
  state: any,
  purged: DeletePurgedResponse[] | null = null,
  id: number | null = null,
  attributes: {} | null = null
) => {
  if (purged) {
    purged.forEach(({ id }) => {
      state.splice(state.findIndex((model: any) => model.id === id), 1);
    });

    return;
  }

  Object.assign(state[
    state.findIndex((model: any) => model.id === id)
  ], attributes);
};
